/*
 * DBPersistenceConfigurationException.cs
 *
 * Document Indexer Persistence
 * Version: 1.0
 *
 * Copyright (c) 2006, TopCoder, Inc. All rights reserved
 *
 * Authors: Ghostar, TCSDEVELOPER
 */

using System;

namespace TopCoder.Document.Index.Persistence.DB
{
    /// <summary>
    /// Thrown by both the DB implementations in this package if a given namespace doesn't contain
    /// the necessary information to load in all configuration values for each class.
    /// </summary>
    public class DBPersistenceConfigurationException : ApplicationException
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DBPersistenceConfigurationException"/>
        /// class with a specified error message.
        /// </summary>
        ///
        /// <param name="message">
        /// The message that describes the error.
        /// </param>
        public DBPersistenceConfigurationException(string message)
            : base(message)
        {
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="DBPersistenceConfigurationException"/>
        /// class with a specified error message and the underlying cause of the persistence failure.
        /// </summary>
        ///
        /// <param name="message">
        /// The message that describes the error.
        /// </param>
        /// <param name="cause">
        /// The underlying cause of the persistence failure.
        /// </param>
        public DBPersistenceConfigurationException(string message, Exception cause)
            : base(message, cause)
        {
        }
    }
}
